Zum Hauptinhalt springen

Leave a Customer

POST/v2/customers/{customerId}/actions/leave
API-Version
v2
Request-Methode
POST
Operation-ID
deprecated-customer-leave-customer

Request​

  • customerIdstringrequired

    ID of the Customer to be left.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/actions/leave
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.deprecatedCustomerLeaveCustomer({
"customerId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\DeprecatedCustomerLeaveCustomer\DeprecatedCustomerLeaveCustomerRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeprecatedCustomerLeaveCustomerRequest(
customerId: "string"
));
$response = $client->customer()->deprecatedCustomerLeaveCustomer($request);

var_dump($response->getBody();

Auf dieser Seite